OGRE-Next: Ogre::D3D11BufferInterfaceBase Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::D3D11BufferInterfaceBase Class Reference

For D3D11, most (if not all) buffers, can be treated with the same code. More...

`#include <OgreD3D11BufferInterfaceBase.h>`

Inheritance diagram for Ogre::D3D11BufferInterfaceBase:
[legend]

## Public Member Functions
| D3D11BufferInterfaceBase (size_t vboPoolIdx, ID3D11Buffer *d3dBuffer)
| ~D3D11BufferInterfaceBase () override
void | _ensureDelayedImmutableBuffersAreReady () override
void | copyTo (BufferInterface *dstBuffer, size_t dstOffsetBytes, size_t srcOffsetBytes, size_t sizeBytes) override
ID3D11Buffer * | getVboName () const
size_t | getVboPoolIndex ()
Public Member Functions inherited from Ogre::BufferInterface
| BufferInterface ()
virtual | ~BufferInterface ()
virtual void | _notifyBuffer (BufferPacked *buffer)
virtual void | advanceFrame ()=0
BufferPacked * | getBufferPacked ()
virtual void *RESTRICT_ALIAS_RETURN | map (size_t elementStart, size_t elementCount, MappingState prevMappingState, bool advanceFrame=true)=0
virtual void | regressFrame ()=0
virtual void | unmap (UnmapOptions unmapOption, size_t flushStartElem=0, size_t flushSizeElem=0)=0
void | upload (const void *data, size_t elementStart, size_t elementCount)

## Detailed Description

For D3D11, most (if not all) buffers, can be treated with the same code.

Hence most equivalent functionality is encapsulated here.

## Constructor & Destructor Documentation

## ◆ D3D11BufferInterfaceBase()

Ogre::D3D11BufferInterfaceBase::D3D11BufferInterfaceBase | ( | size_t | vboPoolIdx,
|  | ID3D11Buffer * | d3dBuffer )

## ◆ ~D3D11BufferInterfaceBase()

Ogre::D3D11BufferInterfaceBase::~D3D11BufferInterfaceBase | ( |  | ) |
| override

## Member Function Documentation

## ◆ _ensureDelayedImmutableBuffersAreReady()

void Ogre::D3D11BufferInterfaceBase::_ensureDelayedImmutableBuffersAreReady | ( |  | ) |
| overridevirtual

Reimplemented from Ogre::BufferInterface.

## ◆ copyTo()

void Ogre::D3D11BufferInterfaceBase::copyTo | ( | BufferInterface * | dstBuffer,
|  | size_t | dstOffsetBytes,
|  | size_t | srcOffsetBytes,
|  | size_t | sizeBytes )
| overridevirtual

Implements Ogre::BufferInterface.

References Ogre::BufferInterface::BufferInterface().

## ◆ getVboName()

ID3D11Buffer * Ogre::D3D11BufferInterfaceBase::getVboName | ( |  | ) | const
| inline

## ◆ getVboPoolIndex()

size_t Ogre::D3D11BufferInterfaceBase::getVboPoolIndex | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- OgreD3D11BufferInterfaceBase.h